<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/WelcomeFragment">

    <fragment
        android:id="@+id/WelcomeFragment"
        android:name="org.vostan.banvor.WelcomeFragment"
        android:label="@string/welcome_fragment_label"
        tools:layout="@layout/fragment_welcome">
        <action
            android:id="@+id/action_WelcomeFragment_to_PuzzleListFragment"
            app:destination="@id/PuzzleListFragment"
            app:enterAnim="@animator/fragment_slide_right_enter"
            app:exitAnim="@animator/fragment_slide_right_exit" />
        <action
            android:id="@+id/action_WelcomeFragment_to_PuzzleBoardFragment"
            app:destination="@id/PuzzleBoardFragment"
            app:enterAnim="@animator/fragment_slide_left_enter"
            app:exitAnim="@animator/fragment_slide_left_exit" />
    </fragment>
    <fragment
        android:id="@+id/PuzzleListFragment"
        android:name="org.vostan.banvor.PuzzleListFragment"
        android:label="fragment_puzzle_list"
        tools:layout="@layout/fragment_puzzle_list">
        <action
            android:id="@+id/action_PuzzleListFragment_to_PuzzleBoardFragment"
            app:destination="@id/PuzzleBoardFragment"
            app:enterAnim="@animator/fragment_slide_right_enter"
            app:exitAnim="@animator/fragment_slide_right_exit" />
    </fragment>
    <fragment
        android:id="@+id/PuzzleBoardFragment"
        android:name="org.vostan.banvor.PuzzleBoardFragment"
        android:label="fragment_puzzle_board"
        tools:layout="@layout/fragment_puzzle_board" >
        <argument
            android:name="level"
            app:argType="integer"
            android:defaultValue="1" />
    </fragment>
</navigation>